`sig
type ('k, 'v) t_
type key
type value
type t =
(Piecewise_linear_intf.S.key, Piecewise_linear_intf.S.value)
Piecewise_linear_intf.S.t_
val create :
(Piecewise_linear_intf.S.key * Piecewise_linear_intf.S.value) list ->
Piecewise_linear_intf.S.t Core_kernel.Std.Or_error.t
val get :
Piecewise_linear_intf.S.t ->
Piecewise_linear_intf.S.key -> Piecewise_linear_intf.S.value
val first_knot :
Piecewise_linear_intf.S.t ->
(Piecewise_linear_intf.S.key * Piecewise_linear_intf.S.value) option
val last_knot :
Piecewise_linear_intf.S.t ->
(Piecewise_linear_intf.S.key * Piecewise_linear_intf.S.value) option
val to_knots :
Piecewise_linear_intf.S.t ->
(Piecewise_linear_intf.S.key * Piecewise_linear_intf.S.value) list
val to_knots' :
Piecewise_linear_intf.S.t ->
Piecewise_linear_intf.S.key array * Piecewise_linear_intf.S.value array
val precache : ?density:float -> Piecewise_linear_intf.S.t -> unit
val create_from_linear_combination :
(Piecewise_linear_intf.S.t * float) list ->
Piecewise_linear_intf.S.t Core_kernel.Std.Or_error.t
val compare : Piecewise_linear_intf.S.t -> Piecewise_linear_intf.S.t -> int
val t_of_sexp : Sexplib.Sexp.t -> Piecewise_linear_intf.S.t
val sexp_of_t : Piecewise_linear_intf.S.t -> Sexplib.Sexp.t
val bin_t : Piecewise_linear_intf.S.t Core_kernel.Std.Bin_prot.Type_class.t
val bin_read_t :
Piecewise_linear_intf.S.t Core_kernel.Std.Bin_prot.Read.reader
val __bin_read_t__ :
(int -> Piecewise_linear_intf.S.t) Core_kernel.Std.Bin_prot.Read.reader
val bin_reader_t :
Piecewise_linear_intf.S.t Core_kernel.Std.Bin_prot.Type_class.reader
val bin_size_t :
Piecewise_linear_intf.S.t Core_kernel.Std.Bin_prot.Size.sizer
val bin_write_t :
Piecewise_linear_intf.S.t Core_kernel.Std.Bin_prot.Write.writer
val bin_writer_t :
Piecewise_linear_intf.S.t Core_kernel.Std.Bin_prot.Type_class.writer
end`